PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X GET "https://api.pinecone.io/admin/role-bindings?principal_type=user&principal_id=e2e92523-85dc-4142-b8c2-e681be8b78df" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"data": [
{
"id": "5a86ed21-daf1-448d-a9ca-f92a0fd839d3",
"principal_type": "user",
"principal_id": "e2e92523-85dc-4142-b8c2-e681be8b78df",
"resource_type": "organization",
"resource_id": "-ExampleOrgId0000000",
"role": "OrgMember",
"created_at": "2026-04-10T15:23:00Z"
}
],
"pagination": {
"next": "eyJsYXN0X2lkIjoiNWE4NmVkMjEifQ=="
}
}
List role bindings
List role bindings in the organization. Results are paginated. Optional filters are described in the query parameters. Filters are combined with AND. Pagination tokens apply to the full query (including all filters).
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X GET "https://api.pinecone.io/admin/role-bindings?principal_type=user&principal_id=e2e92523-85dc-4142-b8c2-e681be8b78df" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"data": [
{
"id": "5a86ed21-daf1-448d-a9ca-f92a0fd839d3",
"principal_type": "user",
"principal_id": "e2e92523-85dc-4142-b8c2-e681be8b78df",
"resource_type": "organization",
"resource_id": "-ExampleOrgId0000000",
"role": "OrgMember",
"created_at": "2026-04-10T15:23:00Z"
}
],
"pagination": {
"next": "eyJsYXN0X2lkIjoiNWE4NmVkMjEifQ=="
}
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X GET "https://api.pinecone.io/admin/role-bindings?principal_type=user&principal_id=e2e92523-85dc-4142-b8c2-e681be8b78df" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"data": [
{
"id": "5a86ed21-daf1-448d-a9ca-f92a0fd839d3",
"principal_type": "user",
"principal_id": "e2e92523-85dc-4142-b8c2-e681be8b78df",
"resource_type": "organization",
"resource_id": "-ExampleOrgId0000000",
"role": "OrgMember",
"created_at": "2026-04-10T15:23:00Z"
}
],
"pagination": {
"next": "eyJsYXN0X2lkIjoiNWE4NmVkMjEifQ=="
}
}
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Headers
Required date-based version header
Query Parameters
Filter by principal type. Required when principal_id is set.
The kind of principal that receives permissions from a role binding.
Possible values: user, service_account, api_key, invite.
"service_account"
Filter by principal ID. Requires principal_type. The ID is a UUID for all principal types (user, service account, or invite).
Filter by resource type. Required when resource_id is set.
The kind of resource scope a role binding applies to.
Possible values: organization, project.
"project"
Filter by resource ID. Requires resource_type.
Filter by role. A role assigned to a principal at a resource scope.
"ProjectOwner"
The number of results to return per page. When omitted, the server defaults to 100. Out-of-range values return 400 OUT_OF_RANGE.
1 <= x <= 100Cursor from pagination.next of a prior response. Must be reused with the same query context (path parameters, filters, and limit).
Response
A paginated list of role bindings.
Was this page helpful?